# eric4.Graphics.UMLDialog

Module implementing a dialog showing UML like diagrams.

### Classes

UMLDialog | Class implementing a dialog showing UML like diagrams.

### Functions

None

## UMLDialog

Class implementing a dialog showing UML like diagrams.

### Derived from

KQMainWindow

### Methods

UMLDialog | Constructor

#### UMLDialog (Constructor)

UMLDialog(diagramName = "Unnamed", parent = None, name = None)

Constructor

parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)

Up